#    Triple Triad PSP
#    Copyright (C) 2006, 2007 Sakya
#    sakya_tg@yahoo.it
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
class TTplayer(object):
  def __init__(self):
    self.ID = None
    self.name = None
    self.icon = None
    self.status = None
    self.language = None
    self.element = None
    self.city = None
    self.cityDescription = None
    self.location = None
    self.locationDescription = None
    self.invites = []
    self.guil = 0
    self.cardSet = None
    self.normCardSet = None
    self.deck = []
    self.played = 0
    self.won = 0
    self.lost = 0
    self.draw = 0
    self.exp = 0
    self.systemName = None
    self.clientVersion = None


  def normalizeCardSet(self):
    """Normnalize player's card set for saving with dumps()"""
    self.normCardSet = []
    for tCard in self.cardSet.elements:
      if tCard.count > 0:
        for i in xrange(0, tCard.count):
          self.normCardSet.append(tCard.ID)


  def loadCardSet(self):
    self.cardSet = self.parent.cardSets[0].copy()
    for card in self.normCardSet:
      self.cardSet.elements[card].count += 1
