#    Triple Triad PSP
#    Copyright (C) 2006, 2007 Sakya
#    sakya_tg@yahoo.it
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA20/03/2006
import psp2d, os
from traceback import format_exc

#Cancello il vecchio file di log:
try:
  os.remove("TTPSP.log")
except:
  pass

#Loading message:
userData = __import__("userdata")
screen = psp2d.Screen()
bg = psp2d.Image('themes/' + userData.THEME + '/loading.png')
pg = psp2d.Image('themes/' + userData.THEME + '/progress_00.png')
screen.blit(bg, 0, 0, bg.width, bg.height, 0, 0)
screen.blit(pg, 0, 0, pg.width, pg.height, 170, 245)
screen.swap()
del bg, pg, userData, screen, psp2d

#Starts Triple Triad:
try:
  from main import tmain
  lmain = tmain()
  lmain.start()
except Exception, msg:
  #Loggo l'errore:
  outFile = open("TTPSP.log", "a")
  outFile.write("\nTTPSP CRASHED\n")
  outFile.write("-" * 80 + "\n")
  outFile.write(format_exc())
  outFile.close()
  print
  print "TTPSP crashed: check TTPSP.log"
  print "-" * 78
  print format_exc()
